
Redmine - Defect #5053

Project deletion thinks 2 projects are related

2010-03-11 18:20 - Bruno Prado

Status: New Start date: 2010-03-11

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 0.9.1

Description

This test was done: there were 3 projects (say, teste, teste1, teste2), independent, none was child or father of any other. Project

teste had some children and father. All this structure was removed, letting just teste2 and teste3. Now, when I try to remove teste1,

Redmine thinks teste2 is subproject of teste1. See images attached.

History

#1 - 2010-03-11 18:27 - Bruno Prado

Clicking Yes, project teste2 is not removed.

#2 - 2010-06-13 21:23 - Jean-Baptiste Barth

Cannot reproduce.. Can you confirm it's gone with 0.9.4 version ? If not, could you provide a dump of your "projects" table ?

#3 - 2010-06-19 00:36 - Holger Just

Probably, the fields in the projects table defining the tree structure somehow got corrupted.

You can check if the tree is valid in script/console by typing

Project.valid?

 If this results in something other than true, you can repair the tree using

Project.rebuild!

#4 - 2011-06-06 09:25 - Luis Serrano Aranda

Any news ? I have a similar error

#5 - 2011-06-06 09:25 - Luis Serrano Aranda

Any news ? I have a similar error

#6 - 2011-08-31 09:00 - Jean-Baptiste Barth

- Priority changed from High to Normal

Luis Polanco: if you have a similar error, help us track that bug down ;) Give us informations requested at SubmittingBugs, and try what Holger

suggested (to run "Project.rebuild!" in a "ruby script/console"). A dump of you "projects" table in the database before and after the rebuild would help a

lot too.
